within Modelica_DeviceDrivers.Utilities.Icons;
partial model ExecutableModel "Icon for a simulatable model"

  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,
            100}}), graphics={Ellipse(
          extent={{-100,100},{100,-100}},
          lineColor={0,0,0},
          fillPattern=FillPattern.Sphere,
          fillColor={150,255,150}), Polygon(
          points={{-26,40},{54,0},{-26,-40},{-26,40}},
          lineColor={0,0,255},
          pattern=LinePattern.None,
          fillColor={0,0,0},
          fillPattern=FillPattern.Solid)}),
                                      Documentation(revisions="<html>
<img src=\"../Extras/Images/dlr_logo.png\"  width=60 >
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 <b>      Copyright &copy; 2006-2007, DLR Institute of Robotics and Mechatronics</b>
</html>", info="<html>
<p>
This partial class is intended to design a <em>default icon for a simulatable model</em>, i.e. for a classes that defines test cases.
</p>
</html>"));
end ExecutableModel;
